server:
  port: 8082
spring:
  application:
    name: order-service
  main:
    allow-bean-definition-overriding: true
  autoconfigure:
    exclude:
      - com.alibaba.cloud.spring.boot.autoconfigure.nacos.discovery.NacosDiscoveryAutoConfiguration
      - com.alibaba.cloud.spring.boot.autoconfigure.nacos.config.NacosConfigAutoConfiguration
      - com.github.xiaoymin.knife4j.spring.configuration.Knife4jAutoConfiguration
  datasource:
    url: jdbc:mysql://111.229.80.149:3306/erp_java?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&allowPublicKeyRetrieval=true
    username: root
    password: nihao588+
    driver-class-name: com.mysql.cj.jdbc.Driver
    hikari:
      minimum-idle: 5
      maximum-pool-size: 20
      idle-timeout: 30000
      max-lifetime: 1800000
      connection-timeout: 30000
  data:
    redis:
      host: localhost
      port: 6379
      password: 
      database: 0
      timeout: 5000
mybatis-plus:
  type-aliases-package: com.erp.order.entity
  configuration:
    map-underscore-to-camel-case: true
  global-config:
    db-config:
      id-type: auto
logging:
  level:
    com.erp.order: DEBUG
